{ pkgs, ... }:

{
  services.gnome = {
    tracker-miners.enable = false;
    tracker.enable = false;
  };

  environment.gnome.excludePackages = with pkgs; [
    baobab
    epiphany
    gnome-calendar
    gnome-clocks
    gnome-console
    gnome-contacts
    gnome-logs
    gnome-maps
    gnome-music
    gnome-tour
    gnome-photos
    gnome-weather
    gnome-connections
    simple-scan
    yelp
    geary
  ];

  environment.systemPackages = with pkgs; [
    evolution
    gnome-terminal
    gnome-tweaks
  ];

  services.gnome.evolution-data-server.enable = true;

  programs.dconf.profiles = {
    user.databases = [
      {
        settings = {
          "org/gnome/desktop/calendar" = {
            show-weekdate = true;
          };
          "org/gnome/desktop/interface" = {
            enable-hot-corners = false;
            show-battery-percentage = true;
          };
          "org/gnome/desktop/notifications" = {
            show-in-lock-screen = false;
          };
          "org/gnome/desktop/sound" = {
            event-sounds = false;
          };
          "org/gnome/gnome-system-monitor" = {
            network-in-bits = true;
            network-total-in-bits = true;
          };
        };
      }
    ];
  };
}
