{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    firefox-wayland
  ];

  users.users.clerie.packages = with pkgs; [
    keepassxc
    vlc
    mumble
    element-desktop
    signal-desktop
    dino
    fractal

    tio
    xournalpp
    onlyoffice-bin

    krita
    inkscape

    wireshark
    tcpdump
    nmap

    okular
    chromium-incognito

    print-afra
  ];

  # Wireshark
  programs.wireshark.enable = true;
  users.users.clerie.extraGroups = [ "wireshark" ];

  services.syncthing = {
    enable = true;
    user = "clerie";
    dataDir = "/home/clerie";
    configDir = "/home/clerie/.config/syncthing";
  };

  services.clerie-gc-dir.enable = true;
  services.clerie-gc-dir.dirs = {
    clerie-downloads = {
      user = "clerie";
      dir = "/home/clerie/Downloads";
    };
    clerie-tmp = {
      user = "clerie";
      dir = "/home/clerie/tmp";
    };
  };
}
