#!/usr/bin/env bash

set -euo pipefail

if [[ $# -eq 0 ]]; then
	set -- "${SHELL}"
fi

exec systemd-run \
	"--property=User=$(id -un)" \
	"--property=SupplementaryGroups=docker" \
	"--pty" "--same-dir" "--wait" "--collect" "--service-type=exec" \
	"--quiet" \
	"--setenv=PATH" \
	"--setenv=EDITOR" \
	"--setenv=PAGER" \
	"$@"
